//-----------------------------------------------------------------------------
// polyglotLIB header
//-----------------------------------------------------------------------------
#include <stdio.h>
#include <string>

extern "C" {

	__declspec(dllimport) int __stdcall pg_init (wchar_t* XMLFOLDER, wchar_t* SCHEME, int VERSION);
	__declspec(dllimport) int __stdcall pg_isLanguageAvailable(wchar_t* LANGCODE);
	__declspec(dllimport) wchar_t* __stdcall pg_translate (wchar_t* LANGCODE, wchar_t* CODESTRING, int bLC);
	__declspec(dllimport) wchar_t* __stdcall pg_translateCompound (wchar_t* LANGCODE, wchar_t* CODESTRING, int bLC);


}

//-----------------------------------------------------------------------------